| EM datagrams on *.kmall format Reg.no. 410224 rev D

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
EMdgmSPOdataBlock_def Struct Reference

#SPO - Sensor position data block. Data from active sensor is corrected data for position system installation parameters. Data is also corrected for motion ( roll and pitch only) if enabled by K-Controller operator. Data given both decoded and corrected (active sensors), and raw as received from sensor in text string. More...

`#include <EMdgmFormat.h>`

## Data Fields
uint32_t | timeFromSensor_sec
uint32_t | timeFromSensor_nanosec
float | posFixQuality_m
double | correctedLat_deg
double | correctedLong_deg
float | speedOverGround_mPerSec
float | courseOverGround_deg
float | ellipsoidHeightReRefPoint_m
int8_t | posDataFromSensor [MAX_SPO_DATALENGTH]

## Detailed Description

#SPO - Sensor position data block. Data from active sensor is corrected data for position system installation parameters. Data is also corrected for motion ( roll and pitch only) if enabled by K-Controller operator. Data given both decoded and corrected (active sensors), and raw as received from sensor in text string.

## Field Documentation

uint32_t timeFromSensor_sec

Time from position sensor. Unit seconds. Epoch 1970-01-01. Ignoring leap seconds. Nanosec part to be added for more exact time.

uint32_t timeFromSensor_nanosec

Time from position sensor. Unit nano seconds remainder.

float posFixQuality_m

Only if available as input from sensor. Calculation according to format.

double correctedLat_deg

Motion corrected (if enabled in K-Controller) data as used in depth calculations. Referred to vessel reference point. Unit decimal degree. Parameter is set to define UNAVAILABLE_LATITUDE if sensor inactive.

double correctedLong_deg

Motion corrected (if enabled in K-Controller) data as used in depth calculations. Referred to vessel reference point. Unit decimal degree. Parameter is set to define UNAVAILABLE_LONGITUDE if sensor inactive.

float speedOverGround_mPerSec

Speed over ground. Unit m/s. Motion corrected (if enabled in K-Controller) data as used in depth calculations. If unavailable or from inactive sensor, value set to define UNAVAILABLE_SPEED.

float courseOverGround_deg

Course over ground. Unit degree. Motion corrected (if enabled in K-Controller) data as used in depth calculations. If unavailable or from inactive sensor, value set to define UNAVAILABLE_COURSE.

float ellipsoidHeightReRefPoint_m

Height of vessel reference point above the ellipsoid. Unit meter. Motion corrected (if enabled in K-Controller) data as used in depth calculations. If unavailable or from inactive sensor, value set to define UNAVAILABLE_ELLIPSOIDHEIGHT.

int8_t posDataFromSensor[MAX_SPO_DATALENGTH]

Position data as received from sensor, i.e. uncorrected for motion etc.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h